Package com.independentsoft.office.odf

# Interface IParagraphContent

All Superinterfaces:
  `IContentElement`

All Known Implementing Classes:
  `Annotation`, `AttributedText`, `AuthorInitials`, `AuthorName`, `Bookmark`, `BookmarkEnd`, `BookmarkReference`, `BookmarkStart`, `Caption`, `Change`, `ChangeEnd`, `ChangeStart`, `Chapter`, `CharacterCount`, `Circle`, `ConditionalText`, `Connector`, `Control`, `CreationDate`, `CreationTime`, `DatabaseDisplay`, `DatabaseName`, `Date`, `Description`, `DisplayRow`, `EditDuration`, `Ellipse`, `Expression`, `Field`, `FileName`, `Frame`, `Group`, `HiddenText`, `Hyperlink`, `HyperlinkFrame`, `ImageCount`, `InitialCreator`, `Keywords`, `Line`, `LineBreak`, `Measure`, `MetaDataText`, `ModificationDate`, `ModificationTime`, `ModifiedBy`, `NextRow`, `Note`, `NoteReference`, `ObjectCount`, `PageCount`, `PageNumber`, `PageThumbnail`, `PageVariableGetField`, `PageVariableSetField`, `ParagraphCount`, `Path`, `Placeholder`, `PointReference`, `Polygon`, `Polyline`, `PrintDate`, `PrintedBy`, `PrintTime`, `RangeReference`, `Rectangle`, `Reference`, `RegularPolygon`, `RevisionNumber`, `Ruby`, `SelectRow`, `SenderCity`, `SenderCompany`, `SenderCountry`, `SenderEmail`, `SenderFax`, `SenderFirstName`, `SenderInitials`, `SenderLastName`, `SenderPosition`, `SenderPostalCode`, `SenderPrivatePhone`, `SenderState`, `SenderStreet`, `SenderTitle`, `SenderWorkPhone`, `SequenceReference`, `SequenceVariableField`, `Shape`, `SheetName`, `SimpleVariableGetField`, `SimpleVariableInputField`, `SimpleVariableSetField`, `SoftPageBreak`, `Space`, `Subject`, `Tab`, `TableCount`, `TemplateName`, `Text`, `TextInputField`, `Time`, `Title`, `UserDefinedField`, `UserVariableGetField`, `UserVariableInputField`, `WordCount`

public interface IParagraphContent extends IContentElement
The Interface IParagraphContent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IParagraphContent`
  `clone()`

  ### Methods inherited from interface com.independentsoft.office.odf.IContentElement

  `getContentElements, getParent, setParent`

- ## Method Details

  - ### clone

    IParagraphContent clone()
    Specified by:
      `clone` in interface `IContentElement`